<div class='input-group-search' {{did-insert this.setup}}>
  <div class='input-group {{@class}}' ...attributes>
    {{! template-lint-disable require-input-label }}
    <Input
      @type='search'
      class='form-control input-search'
      @value={{this.term}}
      placeholder={{capitalize (t 'search')}}
      {{on 'keyup' this.keyUp}}
      {{on 'focus' this.focus}}
    />

    <button
      class='btn btn-secondary btn-search'
      type='button'
      {{on 'click' this.search}}
    >
      {{#if @isSearching}}
        <FaIcon @icon='spinner' @spin={{true}} />
      {{else}}
        <FaIcon @icon='search' />
      {{/if}}
    </button>
  </div>

  {{#if this.showSuggestions}}
    <div class='popover-custom popover bs-popover-bottom search-suggestions'>
      <div class='popover-arrow'></div>

      <div class='popover-body p-0'>
        <div class='list-group list-group-flush'>
          {{yield}}
        </div>
      </div>
    </div>
  {{/if}}
</div>